Perform
Early access
Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.
List all review cycles
Returns a list of review cycles
Returns a list of review cycles
Query Parameters
page?integer
Page offset to fetch.
Format
int32Default
1per_page?integer
Number of results to return per page.
Format
int32Default
50offset?integer
Pad a number of results.
Format
int32Default
0review_cycle_type?string
Filter by review cycle type. Allowed values: manual, lifecycle
Value in
- "manual"
- "lifecycle"
starts_on[gte]?string
Format
datestarts_on[lte]?string
Format
dateends_on[gte]?string
Format
dateends_on[lte]?string
Format
dateResponse Body
application/json
curl -X GET "https://example.com/api/v4/perform/review_cycles"{ "data": [ { "id": 0, "name": "string", "review_cycle_type": "manual", "description": "string", "status": "string", "starts_on": "2019-08-24", "ends_on": "2019-08-24", "deadline_on": "2019-08-24", "review_period_starts_on": "2019-08-24", "review_period_ends_on": "2019-08-24", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}